Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Beginner
957 Views

Edison not recognizing Arduino Libraries??

Jump to solution

Hello

Just received Arduino Expansion board for Edison and followed start-up procedure to the end with no issues,ie., updated firmware and installed Windows 64 drivers.

- Installed Intel i686 boards in Arduino boards manager as required (1.6.2+1.0).

- Compiled and uploaded blinky successfully.

When attempting to compile with my sketches known to run without issues on [Teensy 3.2 or 3.6] I get the following errors:

Any help would be appreciated . . . . . . . Thanks in advance,

Ken

Arduino: 1.6.11 (Windows 10), TD: 1.33, Board: "Intel® Edison"

C:\Program Files (x86)\Arduino\arduino-builder -dump-prefs -logger=machine -hardware C:\Program Files (x86)\Arduino\hardware -hardware C:\Users\kward\AppData\Local\Arduino15\packages -tools C:\Program Files (x86)\Arduino\tools-builder -tools C:\Program Files (x86)\Arduino\hardware\tools\avr -tools C:\Users\kward\AppData\Local\Arduino15\packages -built-in-libraries C:\Program Files (x86)\Arduino\libraries -libraries C:\Users\kward\Documents\Arduino\libraries -fqbn=Intel:i686:izmir_ec -ide-version=10611 -build-path C:\Users\kward\AppData\Local\Temp\builde2a962bf4a68a035901e5366477f3f77.tmp -warnings=none -prefs=build.warn_data_percentage=75 -prefs=runtime.tools.sketchUploader.path=C:\Users\kward\AppData\Local\Arduino15\packages\Intel\tools\sketchUploader\1.6.2+1.0 -prefs=runtime.tools.core2-32-poky-linux.path=C:\Users\kward\AppData\Local\Arduino15\packages\Intel\tools\core2-32-poky-linux\1.6.2+1.0 -verbose C:\Users\kward\Documents\Arduino\Processing_Transfer_Sketch_3\Processing_Transfer_Sketch_3.ino\Proce...

C:\Program Files (x86)\Arduino\arduino-builder -compile -logger=machine -hardware C:\Program Files (x86)\Arduino\hardware -hardware C:\Users\kward\AppData\Local\Arduino15\packages -tools C:\Program Files (x86)\Arduino\tools-builder -tools C:\Program Files (x86)\Arduino\hardware\tools\avr -tools C:\Users\kward\AppData\Local\Arduino15\packages -built-in-libraries C:\Program Files (x86)\Arduino\libraries -libraries C:\Users\kward\Documents\Arduino\libraries -fqbn=Intel:i686:izmir_ec -ide-version=10611 -build-path C:\Users\kward\AppData\Local\Temp\builde2a962bf4a68a035901e5366477f3f77.tmp -warnings=none -prefs=build.warn_data_percentage=75 -prefs=runtime.tools.sketchUploader.path=C:\Users\kward\AppData\Local\Arduino15\packages\Intel\tools\sketchUploader\1.6.2+1.0 -prefs=runtime.tools.core2-32-poky-linux.path=C:\Users\kward\AppData\Local\Arduino15\packages\Intel\tools\core2-32-poky-linux\1.6.2+1.0 -verbose C:\Users\kward\Documents\Arduino\Processing_Transfer_Sketch_3\Processing_Transfer_Sketch_3.ino\Proce...

Using board 'izmir_ec' from platform in folder: C:\Users\kward\AppData\Local\Arduino15\packages\Intel\hardware\i686\1.6.2+1.0

Using core 'arduino' from platform in folder: C:\Users\kward\AppData\Local\Arduino15\packages\Intel\hardware\i686\1.6.2+1.0

Warning: Board Intel:i686:izmir_ec doesn't define a 'build.board' preference. Auto-set to: I686_IZMIR_EC

WARNING: Category '' in library DallasTemperature is not valid. Setting to 'Uncategorized'

WARNING: Category '' in library EEPROM is not valid. Setting to 'Uncategorized'

WARNING: Category '' in library Ethernet is not valid. Setting to 'Uncategorized'

WARNING: Category '' in library EthernetShield is not valid. Setting to 'Uncategorized'

WARNING: Category '' in library OneWire is not valid. Setting to 'Uncategorized'

WARNING: Category '' in library SD is not valid. Setting to 'Uncategorized'

WARNING: Category '' in library SPI is not valid. Setting to 'Uncategorized'

WARNING: Category '' in library Servo is not valid. Setting to 'Uncategorized'

WARNING: Category '' in library SoftwareServo is not valid. Setting to 'Uncategorized'

WARNING: Category '' in library TimerOne is not valid. Setting to 'Uncategorized'

WARNING: Category '' in library USBHost is not valid. Setting to 'Uncategorized'

WARNING: Category '' in library WiFi is not valid. Setting to 'Uncategorized'

Warning: platform.txt from core 'Arduino i686 Boards' contains deprecated recipe.ar.pattern="{compiler.path}{compiler.ar.cmd}" {compiler.ar.flags} "{build.path}/{archive_file}" "{object_file}", automatically converted to recipe.ar.pattern="{compiler.path}{compiler.ar.cmd}" {compiler.ar.flags} "{archive_file_path}" "{object_file}". Consider upgrading this core.

Detecting libraries used...

"C:\Users\kward\AppData\Local\Arduino15\packages\Intel\tools\core2-32-poky-linux\1.6.2+1.0/pokysdk/usr/bin/i586-poky-linux/i586-poky-linux-g++" -m32 -march=i586 "--sysroot=C:\Users\kward\AppData\Local\Arduino15\packages\Intel\tools\core2-32-poky-linux\1.6.2+1.0/core2-32-poky-linux" -c -g -Os -w -fno-exceptions -ffunction-sections -fdata-sections -D__ARDUINO_X86__ -w -x c++ -E -CC -march=i686 -m32 -DARDUINO=10611 "-IC:\Users\kward\AppData\Local\Arduino15\packages\Intel\hardware\i686\1.6.2+1.0\cores\arduino" "-IC:\Users\kward\AppData\Local\Arduino15\packages\Intel\hardware\i686\1.6.2+1.0\variants\edison_fab_c" "C:\Users\kward\AppData\Local\Temp\builde2a962bf4a68a035901e5366477f3f77.tmp\sketch\Processing_Transf..." -o "nul"

"C:\Users\kward\AppData\Local\Arduino15\packages\Intel\tools\core2-32-poky-linux\1.6.2+1.0/pokysdk/usr/bin/i586-poky-linux/i586-poky-linux-g++" -m32 -march=i586 "--sysroot=C:\Users\kward\AppData\Local\Arduino15\packages\Intel\tools\core2-32-poky-linux\1.6.2+1.0/core2-32-poky-linux" -c -g -Os -w -fno-exceptions -ffunction-sections -fdata-sections -D__ARDUINO_X86__ -w -x c++ -E -CC -march=i686 -m32 -DARDUINO=10611 "-IC:\Users\kward\AppData\Local\Arduino15\packages\Intel\hardware\i686\1.6.2+1.0\cores\arduino" "-IC:\Users\kward\AppData\Local\Arduino15\packages\Intel\hardware\i686\1.6.2+1.0\variants\edison_fab_c" "-IC:\Users\kward\AppData\Local\Arduino15\packages\Intel\hardware\i686\1.6.2+1.0\libraries\SPI\src" "C:\Users\kward\AppData\Local\Temp\builde2a962bf4a68a035901e5366477f3f77.tmp\sketch\Processing_Transf..." -o "nul"

"C:\Users\kward\AppData\Local\Arduino15\packages\Intel\tools\core2-32-poky-linux\1.6.2+1.0/pokysdk/usr/bin/i586-poky-linux/i586-poky-l...

0 Kudos

Accepted Solutions
Highlighted
Community Manager
31 Views

Hello Ken,

 

 

Thanks for reaching out!

 

 

I believe the issue is not related to the code itself, but instead, I believe the issue is that the code you were originally using includes a library that is not compatible with Edison's architecture. This is a common issue that appears when porting Arduino projects to Edison. So, the best way to determine if this in fact the case is that you share your code with us, is that possible?

 

 

Let me know.

 

-Peter.

View solution in original post

3 Replies
Highlighted
Community Manager
32 Views

Hello Ken,

 

 

Thanks for reaching out!

 

 

I believe the issue is not related to the code itself, but instead, I believe the issue is that the code you were originally using includes a library that is not compatible with Edison's architecture. This is a common issue that appears when porting Arduino projects to Edison. So, the best way to determine if this in fact the case is that you share your code with us, is that possible?

 

 

Let me know.

 

-Peter.

View solution in original post

Highlighted
Beginner
31 Views

Hello Peter

Thank you for your prompt reply. You are correct, after thinking about it, there is processor specific code in those sketches. I have not found very many sketches in the Arduino IDE that will run with the Edison hardware. Except of course those that are installed with the Edison. I have since decided to abandon the Arduino IDE and use one of the Intel IDE's.

Thanks,

Ken

0 Kudos
Highlighted
Community Manager
31 Views

Hi Ken,

 

 

I understand, thank you for letting us know.

 

 

If that is the case, please keep us updated on your project and if you ever have any further doubts, please don't hesitate to come back to the community.

 

 

-Peter.
0 Kudos